TEMPLATE	= app
LANGUAGE	= C++

CONFIG	+= qt warn_on release
QT += qt3support

HEADERS	+= aboutdialog.h \
	api.h \
	branchobj.h \
	exportoofiledialog.h \
	exports.h \
	file.h \
	findwindow.h \
	flagobj.h \
	flagrowobj.h \
	floatimageobj.h \
	floatobj.h \
	frameobj.h \
	headingobj.h \
	imageobj.h \
	imports.h \
	linkablemapobj.h \
	xlinkobj.h \
	mainwindow.h \
	mapcenterobj.h \
	mapeditor.h \
	mapobj.h \
	misc.h \
	noteobj.h \
	ornamentedobj.h \
	process.h \
	selection.h \
	texteditor.h \
	version.h \
	xml.h \
	xsltproc.h \
	settings.h \
	options.h

SOURCES	+= aboutdialog.cpp \
	api.cpp \
	branchobj.cpp \
	exportoofiledialog.cpp \
	exports.cpp \
	file.cpp \
	findwindow.cpp \
	flagobj.cpp \
	flagrowobj.cpp \
	floatimageobj.cpp \
	floatobj.cpp \
	frameobj.cpp \
	headingobj.cpp \
	imageobj.cpp \
	imports.cpp \
	linkablemapobj.cpp \
	xlinkobj.cpp \
	main.cpp \
	mainwindow.cpp \
	mapcenterobj.cpp \
	mapeditor.cpp \
	mapobj.cpp \
	misc.cpp \
	noteobj.cpp \
	ornamentedobj.cpp \
	process.cpp \
	selection.cpp \
	texteditor.cpp \
	xml.cpp \
	xsltproc.cpp \
	settings.cpp \
	options.cpp

#The following line was inserted by qt3to4, use "FORMS" later
FORMS3	= exportxhtmldialog.ui \
	showtextdialog.ui \
	extrainfodialog.ui \
	editxlinkdialog.ui \
	warningdialog.ui

#The following line was inserted by qt3to4
QT += xml  
#The following line was inserted by qt3to4
CONFIG += uic3

TARGET  = vym
TRANSLATIONS += lang/vym_de.ts
TRANSLATIONS += lang/vym_en.ts
TRANSLATIONS += lang/vym_es.ts
TRANSLATIONS += lang/vym_it.ts

count( INSTALLDIR, 0 ) {
	INSTALLDIR = /usr/local
}

message( "Installation directory" )
message( $$INSTALLDIR )


#target.path = $$INSTALLDIR
#INSTALLS += target


target.path = $${INSTALLDIR}/bin
INSTALLS += target

support.files = styles/ scripts/ icons/ flags/ lang/
support.path = $${INSTALLDIR}/share/vym
INSTALLS += support 

doc.files = tex/vym.pdf 
doc.path = $${INSTALLDIR}/share/doc/packages/vym
INSTALLS += doc

demo.files = demos/
demo.path = $${INSTALLDIR}/share/doc/packages/vym
INSTALLS += demo

exports.files = exports/
exports.path =$${INSTALLDIR}/share/vym
INSTALLS += exports


